Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.core
Enum Qt.Modifier

    java.lang.Object
      java.lang.Enum<Qt.Modifier>
          com.trolltech.qt.core.Qt.Modifier

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<Qt.Modifier>

Enclosing interface:
  Qt

    public static enum Qt.Modifier

extends java.lang.Enum<Qt.Modifier>
implements QtEnumerator

This enum provides shorter names for the keyboard modifier keys supported by Qt.

Note: On Mac OS X, the `CTRL` value corresponds to the Command keys on the Macintosh keyboard, and the `META` value corresponds to the Control keys.

See Also:
  `KeyboardModifier`, `MouseButton`

Enum Constant Summary
`ALT` The normal Alt keys, but not keys like AltGr.
`CTRL` The Ctrl keys.
`META` The Meta keys.
`MODIFIER_MASK` Internal.
`SHIFT` The Shift keys provided on all standard keyboards.
`UNICODE_ACCEL` The shortcut is specified as a Unicode code point, not as a Qt Key.

Method Summary
`static Qt.Modifier` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static Qt.Modifier` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Qt.Modifier[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### META

    public static final Qt.Modifier META

  The Meta keys.

### SHIFT

    public static final Qt.Modifier SHIFT

  The Shift keys provided on all standard keyboards.

### CTRL

    public static final Qt.Modifier CTRL

  The Ctrl keys.

### ALT

    public static final Qt.Modifier ALT

  The normal Alt keys, but not keys like AltGr.

### MODIFIER_MASK

    public static final Qt.Modifier MODIFIER_MASK

  Internal.

### UNICODE_ACCEL

    public static final Qt.Modifier UNICODE_ACCEL

  The shortcut is specified as a Unicode code point, not as a Qt Key.

Method Detail

### values

    public static final Qt.Modifier[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Qt.Modifier c : Qt.Modifier.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Qt.Modifier valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static Qt.Modifier resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD